Je me suis enfin décidé à retirer cette erreur PHP qui pollue mon blog depuis plusieurs semaines :

JPEG

C’est depuis que je suis passé de SPIP 1.9.2e à SPIP 2.0.x.

Le problème est que Spip-Clear n’est pas tout à fait compatible avec SPIP 2.0.x. Avec SPIP 2.0.2, j’avais cette erreur

Call to undefined function enerer_url_entite()
/home/dreamnev/sd/blog/www/ecrire/inc/vieilles_defs.php

vieilles_defs.php a été corrigé par SPIP 2.0.3, mais du coup, le blog ne fonctionne plus. J’ai donc reproduit l’erreur en enlevant le "g" à generer_url_entite.

Pour m’attaquer à ce problème, j’ai créé un nouveau sous-domaine sur mon KimSufi, et recopié par la commande linux cp le contenu du blog vers le répertoire du nouveau sous-domaine.

Et là, erreur 500 ou erreur

Internal Server Error
UID of script "/home/monsite/www/index.php" is smaller than min_uid
------------------------------------------------------------------------
suPHP 0.6.1

J’ai trouvé ça sur un forum OVH : il faut se mettre dans le répertoire du sous-domaine et faire un

chown -R monsite:users .

C’est parti, je fais des tests de la nouvelle version de Spip-Clear.